<template>
  <div>
    <button style="margin-top: 2em" @click="showModal = true">
      test modal
    </button>

    <portal to="modal">
      <Modal v-model="showModal">
        <template slot="title">title</template>
        modal body
      </Modal>
    </portal>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@nuxtjs/composition-api'

import Modal from '@/components/ui/Modal.vue'

export default defineComponent({
  layout: 'admin',
  name: 'AdminIndexPage',
  components: { Modal },
  setup(_, { root }) {
    const showModal = ref(false)

    // let selectedFile = reactive([] as any)
    // const fileName = (file: any) => {
    //   // новый тайтл фото
    //   return Date.now() + '.' + /[^.]+$/.exec(file)
    // }
    // const onFileChanged = (event: any) => {
    //   // выборка
    //   selectedFile.value = event.target.files[0]
    //   console.log(selectedFile.value) //  данные файла, имя размер
    // }
    // const onUpload = () => {
    //   // отправка
    //   app.$api.storage.upload(selectedFile.value)
    //   const formData = new FormData()
    //   formData.append('file', selectedFile.value, selectedFile.value.name)
    //   app.$axios
    //     .post(
    //       `/web/cover_images/${fileName(selectedFile.value.name)}`,
    //       formData,
    //       { headers: { 'Content-Type': 'multipart/form-data' } }
    //     )
    //     .then(response => console.log(response))
    //     .catch(err => console.log(err))
    // }

    return {
      showModal
    }
  }
})
</script>
